abstract class LoginEvent {}

class LoginCheckEvent extends LoginEvent {}

class LoginMobileEvent extends LoginEvent {
  final String mobileNumber;

  LoginMobileEvent(this.mobileNumber);
}

class LoginOTPEvent extends LoginEvent {
  final String mobileNumber;
  final String otp;

  LoginOTPEvent(this.mobileNumber, this.otp);
}

class LoginEmailSignupEvent extends LoginEvent {
  final String email;
  final String password;

  LoginEmailSignupEvent(this.email, this.password);
}

class LoginEmailSigninEvent extends LoginEvent {
  final String email;
  final String password;

  LoginEmailSigninEvent(this.email, this.password);
}

class LoginGoogleSigninEvent extends LoginEvent {}

class LoginFacebookSigninEvent extends LoginEvent {}

class LoginAppleSigninEvent extends LoginEvent {}

class LoginLogoutEvent extends LoginEvent {}
